# eric4.DebugClients.Python3.DebugClient

Module implementing a non-threaded variant of the debug client.

### Global Attributes

None

### Classes

DebugClient | Class implementing the client side of the debugger.

### Functions

None

## DebugClient

Class implementing the client side of the debugger.

This variant of the debugger implements the standard debugger client by subclassing all relevant base classes.

### Derived from

DebugClientBase.DebugClientBase, AsyncIO, DebugBase

### Class Attributes

debugClient

### Methods

DebugClient | Constructor

#### DebugClient (Constructor)

DebugClient()

Constructor

Up